
User Interface - Bug #4244

Bad format of displays with AT

08/22/2019 01:09 PM - Adrian Lungu

Status: New Start date: 08/22/2019

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 08/22/2019 01:46 PM - Greg Shah

- Description updated

In statements like DISPLAY expression @ field. the conversion does sometimes add either a bad format to the field or multiple formats.respected. It

should be also taken in consideration the explicit format when a FrameElement is created, while this overrides the default format defined in the UI

class. In addition to this, the format length should be computed accordingly, while there are cases in which the format is correct and the display field is

either too short or too long. Cross data types as well should be managed properly, as if the expression and the field do have different data types,

either an error is thrown or an incorrect value is printed. Finally, a comprehensive set of tests, with combinations of data types for the expression/field,

is required in order to detect a proper fix.

#2 - 08/22/2019 01:46 PM - Greg Shah

- Project changed from Bugs to User Interface

#6 - 02/21/2020 04:28 PM - Roger Borrello

I'd like to see this moved along when 4207a gets into trunk.
